Bug 1508938 - Context needs to be sent with UpdateInstanceRequests from catalog to brokers
Summary: Context needs to be sent with UpdateInstanceRequests from catalog to brokers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.7.0
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 3.7.0
Assignee: Matthew Staebler
QA Contact: Qixuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-02 14:20 UTC by Matthew Staebler
Modified: 2017-12-18 13:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-12-18 13:23:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3464 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.7 bug fix and enhancement update 2017-12-18 18:22:05 UTC

Description Matthew Staebler 2017-11-02 14:20:06 UTC
When a ServiceInstance is updated, the request sent from the catalog to the broker needs to include the namespace of the ServiceInstance.

Comment 2 Paul Morie 2017-11-06 15:11:14 UTC
Fixed in origin with: https://github.com/openshift/origin/pull/17166

Comment 3 Xiaoli Tian 2017-11-09 03:42:56 UTC
Please start to test on 3.7.4-1 build or newer.

Comment 7 errata-xmlrpc 2017-12-18 13:23:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3464


Note You need to log in before you can comment on or make changes to this bug.